server:
  port: 8082
spring:
  application:
    name: qr-access-admin
  datasource:
    url: jdbc:postgresql://localhost:5432/qr_access
    username: qr_access_user
    password: 123
  security:
    oauth2:
      client:
        registration:
          own:
            clientId: ${CLIENT_ID:admin}
            clientSecret: ${CLIENT_SECRET:}
            authorizationGrantType: authorization_code
            clientAuthenticationMethod: none
            scope:
              - admin
              - openid
            redirectUri: "{baseUrl}/login/oauth2/code/{registrationId}"
        provider:
          own:
            issuerUri: http://127.0.0.1:8081
            jwkSetUri: http://127.0.0.1:8081/oauth2/jwks
            tokenUri: http://127.0.0.1:8081/oauth2/token
            authorizationUri: http://127.0.0.1:8081/oauth2/authorize